<?php

/**
 *
 * Desktopsmanagers/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="col-sm-12">
    <?php
    $formDesktopsmanagers = array(
        'name' => 'Desktopmanager',
        'label_w' => 'col-sm-5',
        'input_w' => 'col-sm-6',
        'input' => array(
            'Desktopmanager.name' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.name'),
                'inputType' => 'text',
                'items'=>array(
                    'required'=>true,
                    'type'=>'text'
                )
            ),
            'Desktop.Desktop' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.desktop_id'),
                'inputType' => 'select',
                'items'=>array(
                    'type'=>'select',
                    'options' => $desktopsmanagers,
                     'empty' => true,
                        'multiple' => true
                )
            ),
            'Desktopmanager.isdispatch' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.isdispatch'),
                'inputType' => 'checkbox',
                'changeWidth' =>true,
                'items'=>array(
                    'type'=>'checkbox',
                    'new_label_w' =>'col-sm-8',
                    'new_input_w' =>'col-sm-4',
                )
            )
        )
    );
    if( Configure::read('Conf.SAERP')) {
        $formDesktopsmanagers['input']['Desktopmanager.intituleagent_id'] = array(
            'labelText' =>__d('desktopmanager', 'Desktopmanager.intituleagent_id'),
                'inputType' => 'select',
                'items'=>array(
                    'type'=>'select',
                     'empty' => true
                )
        );
    }
    echo $this->Formulaire->createForm($formDesktopsmanagers);
    echo $this->Form->end();
    ?>
</div>

<script type="text/javascript">

    <?php if(Configure::read('Conf.SAERP')):?>
    $('#DesktopmanagerIntituleagentId').select2({allowClear: true, placeholder: "Poste concerné", empty: true});
    <?php endif;?>

    $('#DesktopDesktop').select2();

</script>
