/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

if (typeof actionsViewUrl !== 'undefined') {
    function viewElement(itemId) {
        if (typeof actionsViewFormMessage !== 'undefined' && actionsViewFormMessage != "") {
            gui.formMessage({
                updateElement: actionsViewUpdateElement,
                loader: true,
                loaderMessage: gui.loaderMessage,
                title: actionsViewTitle,
                url: actionsViewUrl + '/' + itemId,
                buttons: {
                    '<i class="fa fa-times" aria-hidden="true"></i> Fermer': function () {
                        $(this).parents('.modal').modal('hide');
                        $(this).parents('.modal').empty();
                    }
                }
            });
        } else {
            if (typeof actionsViewUpdateElement !== 'undefined' && actionsViewUpdateElement != "") {
                gui.request({
                    url: actionsViewUrl + '/' + itemId,
                    updateElement: actionsViewUpdateElement,
                    loader: true,
                    loaderMessage: gui.loaderMessage
                });
            } else {
                gui.request({
                    url: actionsViewUr + '/' + itemId
                });
            }
        }
    }
}

if (typeof actionsEditUrl !== 'undefined') {

    function editElement(itemId) {
        if (typeof actionsEditMessage !== 'undefined' && actionsEditMessage != "") {
            console.log('1');
            gui.formMessage({
                updateElement: actionsEditUpdateElement,
                loader: true,
                loaderMessage: gui.loaderMessage,
                title: actionsEditTitle,
                url: actionsEditUrl + '/' + itemId,
                buttons: {
                    '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler': function () {
                        $(this).parents(".modal").modal("hide");
                        $(this).parents(".modal").empty();
                        if (typeof actionsEditRefreshAction !== 'undefined') {
                            eval(actionsEditRefreshAction);
                        }
                    }
                }
            });
        } else if (typeof actionsEditFormMessage !== 'undefined' && actionsEditFormMessage != "") {
            console.log('2');
            if (typeof actionsEditRefreshAction !== 'undefined') {
                actionsEditRefreshAction = "";
            }
            gui.formMessage({
                updateElement: actionsEditUpdateElement,
                loader: true,
                width: 700,
                loaderMessage: gui.loaderMessage,
                url: actionsEditUrl + '/' + itemId,
                buttons: {
                    actionsBtnValide: function () {
                        var errorFormTabs = [];
                        var form = $(this).parents(".modal").find("form");
                        if (form.valide()) {
                            var submits = {};
                            var index = 0;
                            $(".ui-tabs-panel").each(function () {
                                if ($("form", this).attr("action") !== undefined) {
                                    submits[index] = {"url": $("form", this).attr("action"), "data": $("form", this).serialize()};
                                    index++;
                                }
                            });
                            submits[index] = "end";
                            gui.submitAll({
                                submits: submits,
                                index: 0,
                                endFunction: eval(actionsEditRefreshAction),
                                loader: true,
                                loaderElement: actionsEditUpdateElement,
                                loaderMessage: gui.loaderMessage
                            });
                            $(this).parents(".modal").modal("hide");
                            $(this).parents(".modal").empty();
                        } else {
                            $(".ui-dialog .ui-tabs").tabs("select", errorFormTabs[0]);
                        }
                    },
                    '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler': function () {
                        $(this).parents(".modal").modal("hide");
                        $(this).parents(".modal").empty();
                    }
                }
            });
        } else {
            if (actionsEditUrl != "") {
                if (typeof actionsEditUpdateElement !== 'undefined') {
                    if (typeof actionsEditDivshow !== 'undefined') {
                        gui.request({
                            url: actionsEditUrl + '/' + itemId,
                            updateElement: actionsEditUpdateElement,
                            loader: true,
                            loaderMessage: gui.loaderMessage,
                            showdiv: actionsEditDivshow
                        });
                        if (typeof actionsEditDivhide !== 'undefined') {
                            $('#liste').hide();
                        }
                    } else {
                        $('#infos .content').empty();
//                        $('#infos .modal-content').empty();

                        gui.request({
                            url: actionsEditUrl + '/' + itemId,
                            updateElement: actionsEditUpdateElement,
                            loader: true,
                            loaderMessage: gui.loaderMessage
                        });
                        $('#infos').modal('show');
                    }

                } else {
                    console.log('456');
                    gui.request({
                        url: actionsEditUrl + '/' + itemId
                    });
                }
            }
        }
    }
}

if (typeof actionsDeleteUrl !== 'undefined') {
    function deleteElement(itemId) {
        if (typeof actionsDeleteUpdateElement !== 'undefined' && actionsDeleteUpdateElement != "") {
            swal({
                title: actionsDeleteTitle,
                text: actionsDeleteText,
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#d33",
                cancelButtonColor: "#3085d6",
                confirmButtonText: '<i class="fa fa-check" aria-hidden="true"></i> Valider',
                cancelButtonText: '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler',
            }).then(function (data) {
                if (data) {
                    gui.request({
                        url: actionsDeleteUrl + '/' + itemId,
                        updateElement: actionsDeleteUpdateElement,
                        loader: true,
                        loaderMessage: gui.loaderMessage
                    }, function (data) {
                        getJsonResponse(data);
                        eval(actionsDeleteRefreshAction);
                    });
                } else {
                    swal({
                        title: "Annulé!",
                        text: "Vous n\'avez pas supprimé,;) .",
                        type: "error",
                        timer: 1500
                    });
                }
            });
        } else {
            gui.request({
                url: actionsDeleteUrl + '/' + itemId
            }, function (data) {
                getJsonResponse(data);
            });
        }
    }
}

if (typeof actionsCheckUrl !== 'undefined') {
    function checkElement(itemId) {
        gui.request({
            url: actionsCheckUrl + '/' + itemId,
            loader: true,
            updateElement: actionsCheckUpdateElement,
            loaderMessage: gui.loaderMessage
        }, function (data) {
            getJsonResponse(data);
        });
    }
}

if (typeof actionsCopieCircuitUrl !== 'undefined') {
    function copieElement(itemId) {
        if (typeof actionsCopieCircuitUpdateElement !== 'undefined') {
            swal({
                title: 'Validation de la copie',
                text: 'Etes-vous sur de vouloir copier ce circuit ?',
                type: "info",
                showCancelButton: true,
                // confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: actionsBtnValide,
                cancelButtonText: '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler',
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
            }).then(function (data) {
                if (data) {
                    $(this).parents(".modal").modal("hide");
                    console.log(actionsCopieCircuitUrl);
                    gui.request({
                        url: actionsCopieCircuitUrl + '/' + itemId,
                        updateElement: actionsCopieCircuitUpdateElement,
                        loader: true,
                        loaderMessage: gui.loaderMessage
                    }, function (data) {
                        getJsonResponse(data);
                        eval(actionsCopieCircuitRefreshAction);
                    });
                } else {
                    swal({
                        title: "Annulé!",
                        text: "Vous n\'avez pas copié,;) .",
                        type: "error",
                        timer: 1500
                    });
                }
            });





            /*
             gui.message({
             title: 'Validation de la copie',
             msg: 'Etes-vous sur de vouloir copier ce circuit ?',
             buttons: [{
             text: actionsBtnValide,
             class: "btn btn-info-webgfc",
             click: function () {
             $(this).parents(".modal").modal("hide");
             gui.request({
             url: actionsCopieCircuitUrl + '/' + itemId,
             updateElement: actionsCopieCircuitUpdateElement,
             loader: true,
             loaderMessage: gui.loaderMessage
             }, function (data) {
             getJsonResponse(data);
             eval(actionsCopieCircuitRefreshAction);
             });
             }
             }, {
             text: actionsBtnCancel,
             class: "btn btn-info-webgfc",
             click: function () {
             $(this).parents(".modal").modal("hide");
             }
             }
             ]
             });
             */
        } else {
            gui.request({
                url: actionsCopieCircuitUrl + '/' + itemId
            }, function (data) {
                getJsonResponse(data);
            });
        }
    }
}

if (typeof actionsExposrtUrl !== 'undefined') {
    function exportElement(itemId) {
        /*
         gui.request({
         url: actionsExposrtUrl + '/' + itemId,
         }, function (data) {
         console.log(data);
         getJsonResponse(data);
         });
         */
        window.location.href = actionsExposrtUrl + '/' + itemId;
    }
}

function apercuElement(reference) {
    $.ajax({
        type: 'post',
        dataType: 'json',
        url: '/Courriers/getFluxPreview/' + reference,
        success: function (data) {
            var documentId = data.documentId;
            if (documentId != null) {
                /*
                 gui.formMessage({
                 title: 'Prévisualisation du document',
                 url: '/Documents/getPreview/' + documentId + '/modal',
                 buttons: {
                 "Fermer": function () {
                 $(this).parents(".modal").modal('hide');
                 $(this).parents(".modal").empty();
                 }
                 }
                 });
                 */

                gui.request({
                    url: '/Documents/getPreview/' + documentId + '/modal',
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                    updateElement: $('#traitementlot_page')
                }, function (data) {
                    $('#traitementlot_page .list-flux').addClass('col-sm-4');
                    $('#traitementlot_page .prevoir-document').addClass('col-sm-8').show();
                    $('#traitementlot_page .prevoir-document .content').html(data);
                    
                    var length = $('#traitementlot_page .list-flux table#table_flux tr').length;
                    for( i=1; i< length; i++ ) {
                        if( $('#traitementlot_page .list-flux table#table_flux tr')[i].firstChild.innerHTML == reference ) {
                            $('#traitementlot_page .list-flux table#table_flux tr')[i].classList.add('surlignage');
                        }
                        else {
                            $('#traitementlot_page .list-flux table#table_flux tr')[i].classList.remove('surlignage');
                        }
                    }

                });
            } else {
                swal({
                    title: 'Oops...',
                    text: "Il n'existe pas de document associé à ce flux",
                    type: "error",
                    timer: 1500
                });
            }
        }
    });
}