<?php

/**
 * Gabaritdocument model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud Auzolat
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class Gabaritdocument extends AppModel {

    /**
     *
     * @var type
     */
    public $name = 'Gabaritdocument';

    /**
     *
     * @var type
     */
    public $useTable = 'gabaritsdocuments';

    /**
     *
     * @var type
     */
    public $actsAs = array('Linkeddocs');
    public $validate = array(
        'name' => array(
            array(
                'rule' => array('notBlank'),
                'allowEmpty' => false,
            )
        )
    );

}

?>