<?php


/**
 * Referentielfantoir model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud Auzolat
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class Referentielfantoirdir extends AppModel {

	/**
	 *
	 * @var type
	 */
	public $name = 'Referentielfantoirdir';

	/**
	 *
	 * @var type
	 */
	public $useTable = 'referentielsfantoirdir';

	/**
	 *
	 * @var type
	 */
	public $belongsTo = array(
		'Referentielfantoir' => array(
			'className' => 'Referentielfantoir',
			'foreignKey' => 'referentielfantoir_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		)
	);



}

?>