<?php

/**
 *
 * Courriers/send.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
    function setCopyMode() {
        $('#SendGetback').attr('disabled', 'disabled');
        $('label', $('#SendGetback').parent()).css('color', '#c0c0c0');
        $('#SendDesktopId').parent().css('display', 'none');
        $('#SendDesktopId').parent().parent().css('display', 'none');
        $('#SendCopyId').parent().css('display', 'block');
        $('#SendCopyId').parent().parent().css('display', 'block');

        $('#SendGetback').parent().css('display', 'none');
        $('#SendGetback').parent().parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'block');
    }

    function setNormalMode() {
        $('#SendGetback').removeAttr('disabled');
        $('label', $('#SendGetback').parent()).css('color', '#000');
        $('#SendDesktopId').parent().css('display', 'block');

        $('#SendCopyId').parent().css('display', 'none');
        $('#SendCopyId').parent().parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'block');
        $('#SendCopy').parent().parent().css('display', 'block');
        $('#SendGetback').parent().css('display', 'block');
    }

    function setEnvoiMode() {
        $('#SendGetback').removeAttr('disabled');
        $('label', $('#SendGetback').parent()).css('color', '#000');
        $('#SendDesktopId').parent().css('display', 'block');
        $('#SendGetback').parent().css('display', 'block');
        $('#SendCopyId').parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'none');
        $('#SendCopy').parent().parent().css('display', 'none');
    }
</script>

<?php
$formSend = array(
    'name' => 'Send',
    'label_w' => 'col-sm-4',
    'input_w' => 'col-sm-6',
    'input' => array(
        'Send.flux_id' => array(
            'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden',
                'value' => $fluxId
            )
        ),
        'Send.desktop_id' => array(
            'labelText' =>__d('courrier', 'Courrier.desktop_to_send'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'options' => @$desktopsToSend,
                'empty' => true
            )
        ),
        'Send.getback' => array(
            'labelText' =>__d('courrier', 'Courrier.getback'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox'
            )
        ),
        'Send.copy' => array(
            'labelText' =>__d('courrier', 'Courrier.copy'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox'
            )
        ),
        'Send.copy_id' => array(
            'labelText' =>__d('courrier', 'Courrier.desktop_to_send_to'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'class'=>'copy',
//                'multiple' => true,
                'options' => @$allDesktops, 
                'empty' => true
            )
        ),
        'Comment.objet' => array(
            'labelText' =>__d('comment', 'Comment.objet'),
            'inputType' => 'textarea',
            'items'=>array(
                'type'=>'textarea'
            )
        )
    )
);
    if( !Configure::read('DOC_FROM_GFC') ){ 
        $formSend['input']['Send.signature_manuelle'] = array(
            'labelText' =>__d('courrier', 'Courrier.signature_manuelle'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox'
            )
        );
    }
echo $this->Formulaire->createForm($formSend);
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#SendCopy').change(function () {
        if ($(this).prop("checked")) {
            $('#SendCopyId').select2();
            setCopyMode();
        }
        else {
            setNormalMode();
        }
    });


<?php if (($sendcpy && !$sendwkf) || $cpyOnly) { ?>
    setCopyMode();
    $('#SendCopy').prop('checked', true);
    $('#SendCopy').css('display', 'none');
    $('#SendCopy').after($('<input  />').attr('type', 'checkbox').prop('checked', true).attr('disabled', 'disabled'));
<?php } else if ($sendwkf && !$sendcpy) { ?>
    setNormalMode();
    $('#SendCopy').prop('checked', false).attr('disabled', 'disabled');
    $('label', $('#SendCopy').parent()).css('color', '#c0c0c0');
    $('#SendCopy').parents('.form-group').css('display', 'none');
<?php } else if ($sendwkf && $sendcpy) { ?>
    setNormalMode();
<?php } ?>

    $('#SendSendForm select.copy').each(function () {
        setJselectNew($(this));
    });

    $('#SendDesktopId').change(function () {
        if ($(this).val() != '') {
            setEnvoiMode();
        }
        else {
            setNormalMode();
        }
    });

    $('#SendDesktopId').select2();

    $('#SendCopyId').select2();


    <?php if( !Configure::read('DOC_FROM_GFC') ):?>
    $('#SendSignatureManuelle').change(function () {
        if ($(this).prop("checked")) {
            $('#SendGetback').removeAttr('disabled');
            $('label', $('#SendGetback').parent()).css('color', '#000');
            $('#SendDesktopId').parents('.from-group').css('display', 'none');
            $('#SendGetback').parents('.from-group').css('display', 'none');

            $('#SendCopyId').parents('.from-group').css('display', 'none');
            $('#SendCopy').parents('.from-group').css('display', 'none');

            $('#CommentContent').parent().css('display', 'none');
        }
    });
    <?php endif;?>
</script>